=== debian/changelog ===
qmmp (1.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Update Build-Depends (switched to Qt5).
  * Remove debian/menu, according to #741573.

 -- Matteo Cypriani <mcy@lm7.fr>  Sat, 23 Jan 2016 13:55:24 +0100

qmmp (0.9.1-1) unstable; urgency=medium

  * New upstream release.
    + Fixed segfault with TTA-encoded files. (Closes: #792301)
  * Update debian/copyright.
  * Update debian/upstream/metadata: Qmmp has moved from Google Code to
    SourceForge.

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 30 Sep 2015 11:39:45 +0200
