=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: qmmp
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Matteo Cypriani <mcy@lm7.fr>
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.6), pkg-config, qtchooser,
-  libqt4-dev (>= 4.6), libqt4-opengl-dev, libx11-dev, oss4-dev, libmad0-dev,
-  libvorbis-dev, libasound2-dev [linux-any], libtag1-dev (>= 1.6),
-  libcurl4-gnutls-dev, libmms-dev, libflac-dev, libmpcdec-dev, libjack-dev,
-  libsoxr-dev, libmodplug-dev, libsndfile1-dev, libwavpack-dev, libpulse-dev,
-  libavcodec-dev,  libavformat-dev, libcdio-dev, libcdio-paranoia-dev,
-  libcddb2-dev, libfaad-dev, libgme-dev, libopus-dev (>= 1.0.2),
-  libopusfile-dev, libwildmidi-dev, libsidplayfp-dev (>= 1.0.3), libbs2b-dev, libprojectm-dev, libenca-dev
+Maintainer: Matteo Cypriani <mcy@lm7.fr>
+Build-Depends: debhelper (>= 9), cmake, pkg-config, qtbase5-dev (>= 5.4),
+  libqt5x11extras5-dev (>= 5.4), qttools5-dev-tools (>= 5.4),
+  qtchooser, libx11-dev, oss4-dev, libmad0-dev, libvorbis-dev,
+  libasound2-dev [linux-any], libtag1-dev, libcurl4-gnutls-dev, libmms-dev,
+  libflac-dev, libmpcdec-dev, libjack-dev, libsamplerate0-dev, libmodplug-dev,
+  libsndfile1-dev, libwavpack-dev, libpulse-dev, libavcodec-dev,
+  libavformat-dev, libcdio-dev, libcdio-paranoia-dev, libcddb2-dev,
+  libfaad-dev, libgme-dev, libopus-dev (>= 1.0.2), libopusfile-dev,
+  libwildmidi-dev, libsidplayfp-dev (>= 1.0.3), libbs2b-dev, libprojectm-dev,
+  libenca-dev
 Standards-Version: 3.9.6
 Homepage: http://qmmp.ylsoftware.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/qmmp.git
@@ -20,10 +20,10 @@
 Package: qmmp
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: qmmp-plugin-projectm, mplayer, mplayer2,  unzip, udisks2 [linux-any],
-  hal [!linux-any], qmmp-plugins-pack
-Replaces: libqmmp0 (<< 0.9), libqmmpui0 (<< 0.9), libqmmp-misc (<< 0.9)
-Breaks: libqmmp0 (<< 0.9), libqmmpui0 (<< 0.9), libqmmp-misc (<< 0.9)
+Suggests: qmmp-plugin-projectm, mplayer2, unzip, udisks2 [linux-any],
+  hal [!linux-any]
+Replaces: libqmmp0 (<< 0.8), libqmmpui0 (<< 0.8), libqmmp-misc (<< 0.8)
+Breaks: libqmmp0 (<< 0.8), libqmmpui0 (<< 0.8), libqmmp-misc (<< 0.8)
 Description: feature-rich audio player with support of many formats
  Qmmp is feature-rich audio player with support of many formats.
  It is written in Qt.
@@ -93,4 +93,4 @@
  .
  See 'qmmp' package for full description.
  .
- This package contains the projectM visualization plugin for qmmp.
+ This package contains projectM visualization plugin for qmmp.
