=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 #export DH_OPTIONS=-v
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-
-export QT_SELECT=qt4
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	EXTRA_CMAKE_ARGS = -DUSE_HAL:BOOL=FALSE
@@ -22,7 +20,7 @@
 LDFLAGS += -Wl,--as-needed
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DLIB_DIR=lib/qmmp \
