## qmmp 1.1.3

=== debian/changelog ===
qmmp (1.1.3-0ubuntu1) yakkety; urgency=medium

  * New upstream release
  * debian/control, debian/rules:
    - Do not build qmmp-plugin-projectm on arm64 either

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2016 21:41:45 -0400

qmmp (1.0.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/{control,rules}: Do not build qmmp-plugin-projectm on armel and
    armhf. (Closes: #821443)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 03 May 2016 08:41:32 +0200
