=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qmmp
 Section: sound
 Priority: optional
-Maintainer: Matteo Cypriani <mcy@lm7.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matteo Cypriani <mcy@lm7.fr>
 Build-Depends: debhelper (>= 9), cmake, pkg-config, qtbase5-dev (>= 5.4),
   libqt5x11extras5-dev (>= 5.4), qttools5-dev-tools (>= 5.4),
   qtchooser, libx11-dev, oss4-dev, libmad0-dev, libvorbis-dev,
@@ -10,7 +11,7 @@
   libsndfile1-dev, libwavpack-dev, libpulse-dev, libavcodec-dev,
   libavformat-dev, libcdio-dev, libcdio-paranoia-dev, libcddb2-dev,
   libfaad-dev, libgme-dev, libopus-dev (>= 1.0.2), libopusfile-dev,
-  libwildmidi-dev, libsidplayfp-dev (>= 1.0.3), libbs2b-dev, libprojectm-dev,
+  libwildmidi-dev, libsidplayfp-dev (>= 1.0.3), libbs2b-dev, libprojectm-dev [!armel !armhf !arm64],
   libenca-dev
 Standards-Version: 3.9.6
 Homepage: http://qmmp.ylsoftware.com/
@@ -85,7 +86,7 @@
   - global hotkeys
 
 Package: qmmp-plugin-projectm
-Architecture: any
+Architecture: any-amd64 any-i386 any-mips any-mipsel any-powerpc any-ppc64el any-s390x any-alpha any-hppa any-m68k any-mips64el any-powerpcspe any-sh4 any-sparc64 any-x32
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: qmmp audio player -- projectM visualization plugin
  Qmmp is feature-rich audio player with support of many formats.
