=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,9 @@
 	dh_auto_build -- VERBOSE=1
 
 override_dh_install:
+ifneq (,$(filter-out armel armhf arm64,$(DEB_HOST_ARCH)))
 	dh_install -pqmmp-plugin-projectm
+endif
 	dh_install -Xprojectm
 
 # Avoid a call to ldconfig in postinst & postrm (ldconfig is not needed since we
